package sun.management.counter.perf;

import sun.management.counter.Variability;
import sun.management.counter.Units;
import sun.management.counter.LongCounter;
import sun.management.counter.AbstractCounter;

class LongCounterSnapshot extends AbstractCounter implements LongCounter
{
    long value;
    private static final long serialVersionUID = 2054263861474565758L;
    
    LongCounterSnapshot(String name, Units units, Variability variability, int flags, long value) {
        super(name, units, variability, flags);
        this.value = value;
    }
    
    @Override
    public Object getValue() {
        return new Long(this.value);
    }
    
    @Override
    public long longValue() {
        return this.value;
    }
}
